Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IInputMethod

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FDialog, FEditorPane, FFrame, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IInputMethod

Interface fuer inputMethodEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer InputMethodEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addInputMethodListener(InputMethodListener listener)` Fuegt dem Control den uebergebenen Listener als InputMethodListener hinzu.
`String` | `getActionClassForInputMethod()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`void` | `removeInputMethodListener(InputMethodListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForInputMethod(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

Method Detail

### addInputMethodListener

    public void addInputMethodListener(InputMethodListener listener)

  Fuegt dem Control den uebergebenen Listener als InputMethodListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende InputMethodListener.

### removeInputMethodListener

    public void removeInputMethodListener(InputMethodListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

### getActionClassForInputMethod

    public String getActionClassForInputMethod()

  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer InputMethodEvent.

### setActionClassForInputMethod

    public void setActionClassForInputMethod(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer InputMethodEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD